﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.DataWarehouse.FilingStatsDataWarehouseListViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "Filing Stats";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>


<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <form class="ibox-title" asp-action="Search" method="post">
                    From:
                    @(Html.Kendo().DatePicker()
                                    .Name("DateFrom")
                                    .Value(Model.DateFrom)
                                    .HtmlAttributes(new { style = "width: 150px", title = "Date From" })
                            )
                    &nbsp;
                    &nbsp;
                    &nbsp;
                    To:
                    @(Html.Kendo().DatePicker()
                                    .Name("DateTo")
                                    .Value(Model.DateTo)
                                    .HtmlAttributes(new { style = "width: 150px", title = "Date To" })
                            )
                    &nbsp;
                    <input type="submit" class="btn btn-default btn-sm" value="Search" />
                </form>
                <div class="ibox-content">
                    <div class="container-fluid">

                        @if (Model.FilingStatsList.Count > 0)
                        {
                            <div class="row mb-2">
                                <div class="col-md-6 col-xs-12 pt-2">
                                    <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                         aria-live="polite">
                                        @{ @Model.MessageNumberEntries }
                                    </div>
                                </div>
                            </div>
                        }
                        <div class="row">
                            <div class="col">
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered table-hover dataTables-example">
                                        <thead>
                                            <tr>

                                                <th>
                                                    @Localizer["ReportDate"]
                                                </th>
                                                <th>
                                                    @Localizer["TaxType"]
                                                </th>
                                                <th>
                                                    @Localizer["Segment"]
                                                </th>
                                                <th>
                                                    @Localizer["ExpectedFilers"]
                                                </th>
                                                <th>
                                                    @Localizer["TotalFilings"]
                                                </th>
                                                <th>
                                                    @Localizer["StopFilers"]
                                                </th>
                                                <th>
                                                    @Localizer["EFilings"]
                                                </th>
                                                <th>
                                                    @Localizer["TotalFilingsRequiringPayment"]
                                                </th>
                                                <th>
                                                    @Localizer["FilingsPaidElectronically"]
                                                </th>
                                                <th>
                                                    @Localizer["LateFilers"]
                                                </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @if (Model.FilingStatsList.Count > 0)
                                            {
                                                foreach (var item in Model.FilingStatsList)
                                                {
                                                    <tr>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.ReportDateDateForDisplay)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.TaxType)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Segment)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.ExpectedFilers)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.TotalFilings)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.StopFilers)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.EFilings)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.TotalFilingsRequiringPayment)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.FilingsPaidElectronically)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.LateFilers)
                                                        </td>
                                                    </tr>
                                                }
                                            }
                                            else
                                            {
                                                <tr>
                                                    <td colspan="10" class="text-center">
                                                        @Localizer["NoRecords"]
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                                @{
                                    var prevDisabled = !Model.HasPreviousPage ? "disabled" : "";
                                    var nextDisabled = !Model.HasNextPage ? "disabled" : "";
                                }

                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber - 1)"
                                   class="btn btn-default @prevDisabled">
                                    Previous
                                </a>
                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber + 1)"
                                   class="btn btn-default @nextDisabled">
                                    Next
                                </a>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>